List the organisation's demo base stacks
import requests
url = "https://platform.ankra.app/org/ai-environment/demo-base-stacks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/ai-environment/demo-base-stacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/ai-environment/demo-base-stacks \
--header 'Authorization: Bearer <token>'{
"base_stacks": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"live_demo_count": 123,
"name": "<string>",
"namespace": "<string>",
"parameters": [
{
"name": "<string>",
"value": "<string>"
}
],
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "configured",
"idle_ttl_hours": 123,
"last_error": "<string>",
"last_used_at": "2023-11-07T05:31:56Z",
"profile_name": "<string>",
"profile_version": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Environment
List the organisation's demo base stacks
List the organisation’s shared demo base stacks (every status except deleted) with their live-demo reference counts. Reads are member-visible; browser session authentication only (no bearer twin).
GET
/
org
/
ai-environment
/
demo-base-stacks
List the organisation's demo base stacks
import requests
url = "https://platform.ankra.app/org/ai-environment/demo-base-stacks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/ai-environment/demo-base-stacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/ai-environment/demo-base-stacks \
--header 'Authorization: Bearer <token>'{
"base_stacks": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"live_demo_count": 123,
"name": "<string>",
"namespace": "<string>",
"parameters": [
{
"name": "<string>",
"value": "<string>"
}
],
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "configured",
"idle_ttl_hours": 123,
"last_error": "<string>",
"last_used_at": "2023-11-07T05:31:56Z",
"profile_name": "<string>",
"profile_version": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}